GET /accounts

Account Types


Account Type Integer representation
Integration Partner 1
Enterprise 2
SMB 3
Q-Commerce 4
Group 5

Query parameters

  • accountId string

Responses

  • 200 application/json
  • 401 application/json

    Unauthorized

GET /accounts
curl \
 --request GET 'https://api.staging.deliverect.com/accounts' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_items": [
    {
      "_id": "5f1***131",
      "name": "Generic account",
      "accountType": 1,
      "currency": 1,
      "posSystem": 10000,
      "_updated": "2021-05-18T08:02:16.000000Z",
      "_created": "2020-07-24T07:36:49.000000Z",
      "_deleted": false,
      "_etag": "004a4df4bcce3cae83fd530c4a502278633ffd42",
      "locations": [
        "5f1***133",
        "606***b86",
        "606***555"
      ],
      "accounts": [],
      "brands": [
        {
          "name": "Generic account",
          "brandId": "606***6c5"
        }
      ],
      "deliverectVersion": "2.0",
      "featureFlags": {
        "menuLocationOverrides": false,
        "autoApply": false,
        "pullAvailabilities": false,
        "combinedProductsPage": false,
        "enableSelfOnboarding": false,
        "reportsV2": false,
        "enableDiscounts": false,
        "enableDelivery": false
      },
      "region": "EU",
      "settings": {
        "taxExcl": false
      },
      "whitelabel": "deliverect",
      "users": [
        "607***ca68"
      ],
      "reportingEndpoints": [
        {
          "endpoint": "https://reporting-endpoint.com/reporting/newOrder",
          "statusTrigger": [
            20
          ],
          "endpointType": 10
        }
      ],
      "_links": {
        "self": {
          "title": "accounts",
          "href": "accounts/5f1***131"
        },
        "related": {
          "users": [
            {
              "title": "users",
              "href": "users/607***a68"
            }
          ],
          "locations": [
            {
              "title": "Locations",
              "href": "locations/5f1***133"
            },
            {
              "title": "Locations",
              "href": "locations/606***b86"
            },
            {
              "title": "Locations",
              "href": "locations/606***555"
            }
          ],
          "accounts": []
        }
      }
    }
  ],
  "_links": {
    "parent": {
      "title": "home",
      "href": "/"
    },
    "self": {
      "title": "accounts",
      "href": "accounts"
    },
    "next": {
      "title": "next page",
      "href": "accounts?page=2"
    },
    "last": {
      "title": "last page",
      "href": "accounts?page=11"
    }
  },
  "_meta": {
    "page": 1,
    "max_results": 25,
    "total": 11
  }
}
Response examples (401)
{
  "_status": "ERR",
  "_error": {
    "code": 401,
    "message": "Please provide proper credentials"
  }
}